%global gem_name serialport

Summary: Ruby library that provides a class for using RS-232 serial ports
Name: rubygem-%{gem_name}
Version: 1.1.0
Release: 3%{?dist}
Group: Development/Languages
License: GPLv2
URL: http://github.com/hparra/ruby-serialport/ 
Source0: http://rubygems.org/downloads/%{gem_name}-%{version}.gem
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: ruby(release)
Requires: ruby(rubygems)
BuildRequires: ruby-devel
BuildRequires: rubygems-devel
Provides: rubygem(%{gem_name}) = %{version}

%description
Ruby SerialPort is a class for using RS232 serial ports. It also contains \
low-level function to check current state of signals on the line. 

%package doc
BuildArch: noarch
Summary: Documentation for %{name}
Group: Documentation

Requires: %{name} = %{version}-%{release}

%description doc
This package contains documentation for %{name}.


%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
mkdir -p ./%{gem_dir}
gem build %{gem_name}.gemspec
%gem_install


%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/
mkdir -p %{buildroot}%{gem_extdir_mri}/lib
mv %{buildroot}%{gem_instdir}/lib/serialport.so %{buildroot}%{gem_extdir_mri}/lib/
#Remove the binary extension sources and build leftovers. 
rm -rf %{buildroot}%{gem_instdir}/ext
rm -rf %{buildroot}%{gem_instdir}/test
rm -rf %{buildroot}%{gem_instdir}/.yardoc
chmod a-x %{buildroot}%{gem_instdir}/lib/serialport.rb


%files
%defattr(-, root, root, -)
%{gem_extdir_mri}
%{gem_instdir}
%doc %{gem_instdir}/README
%doc %{gem_instdir}/LICENSE
%{gem_cache}
%{gem_spec}

%files doc
%defattr(-, root, root, -)
%doc %{gem_docdir}

%changelog
* Thu Aug 22 2013 Alejandro Pérez <aeperezt@fedoraproject.org> - 1.1.0-3
- use gem_instdir macro
- Removed the exclude arquitectures for ppc and pp64
- Removed configure arg flags
- Added noarch for doc subpackage
* Tue Jun 11 2013 Alejandro Pérez <aeperezt@fedoraproject.org> - 1.1.0-2
- remove el5 tags
- compiler flag and licence file added
* Sat Apr 06 2013 Alejandro Pérez <aeperezt@fedoraproject.org> - 1.1.0-1
- Initial package
